Subject: Re: bug#14630: 24.3.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jun 2013 18:02:24 +0300

> Date: Wed, 19 Jun 2013 09:42:39 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> But quite a lot can happen in this expansion.  Can this fail in
>  >> CURRENT_HEADER_LINE_HEIGHT?
>  >
>  > That again either calls XFRAME or current_header_line_height, which
>  > should have been seen in the backtrace.
> 
> Are you sure?  I don't understand the emacs_backtrace.txt backtraces.

They are just backtraces.  In an unoptimized build, every function
called should appear there.

>  >> I know.  I meant that instead of BUFFERP (w->contents) we could check
>  >> BUFFER_LIVE_P (XBUFFER (w->contents)) there.
>  >
>  > How's that related to the assertion that is violated?
> 
> Which assertion is violated?

I'm not sure.  And since Drew would not run under GDB, I have no easy
way of finding out.

> Would it help to demacrofy WINDOW_HEADER_LINE_HEIGHT in
> w32_wnd_proc?

I already tried that.  You are welcome to do better.